
#include "Init.h"
#include "capture.h"
#include "inFlash.h"
#include "FM_GPIO.h"
#include "FM_TIM.h"
#include "uart_dev.h"
#include "parameter.h"
#include "abnormalManage.h"

extern int getMPPT_Mode(void);
//extern config_parameter g_cfgParameter;

/**
 * @brief   初始化外设，同时通过配置文件初始化系统参数
 * @param   None
 * @retval  None
 *
 */
void Init(void)
{
    config_info_start();
    ADC_Capture_Init();
    proportionalInt(getMPPT_Mode());

    FM_GPIO_Init();
    tim_Init();

    Init_debug_uart();
//    Init_BAT485_uart(g_cfgParameter.bat485_Baud);
//    Init_GW485_uart(g_cfgParameter.gw485_Baud);
     Init_BAT485_uart(115200);
     Init_GW485_uart(115200);
    start_gw485Rx_It();
    start_bat485Rx_It();

    // POW_FF_PCON_Open();
    // POW_OUT_PCON_Open();
    setPowerOutput(TRUE);
}
